::d2x-beta.bat should be saved here in order for ModMii v4.6.0+ to use it: modules\More-cIOSs\{ANY FOLDER NAME}\d2x-beta.bat

::--------update what comes after "d2x-beta-rev=" and "ciosversion=" below----------

set ciosversion=21003
::must be <=65535

set d2x-beta-rev=3-final
::This info is used to sign *00.app file for cIOS detection, everything after "=" but before the first "-" is considered the version # and it must be a number! Good examples are "5-beta1-test1" or "5" or "999". Bad examples are "5beta1" or "five-beta1" or "-5-beta1"
::everything after the first "-" is considered the version string (limited by 16 chars) and it only recognizes letters, numbers and + - _ ( ) [ ]

set cIOSFamilyName=d2x
::Only change this if building a cIOS that isn't a "d2x" branded cIOS. This string is limited by 16 chars and it only recognizes letters, numbers and + - _ ( ) [ ]


if "%wadname%"=="" goto:endofd2xbat

::------------------------Section to update (below)--------------------
::here you should enter the new beta cIOS hashes (under the OLD non-beta "wadname")
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5=d8018b5b0fd3d4eb1ad26cffd1728cc4
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5=ea223c6cca98eae4561adcd147b0b382
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5=0fc665139839a7de4c8bad64521d9101
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5=123ef6aa14609811661a32b7ddb9d3d0
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5=5bc00e289be7371f807cae4465c76136
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5=9657e3a9cba117b0a586944b0a769b6f
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5=040fac0830f0059bb4fbff5f656d5b8e
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5=3befa61107a96149feabef98cf542ae5
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5=7c6e365421c39b11343402ffba72791c
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5=95fb9f031e82b231960cb77c60b70154
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5=d7e7bb65f1ee004d11091eab009c3c3e
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5=f7dd51550ae82cdd5a9ca00d332fe585
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5=ffbecfe629f48a5f4a1665ffc6ebb79c
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5=4d0a8ac82075f3d9c7ad33ef95c95ba5
::------------------------Section to update (above)--------------------

::----------Additional Instructions---------------
::save any of the following beta files to the following directory
::if any of the following is not found, the standard d2x module used in the previous ModMii release will continue to be used
::modules\More-cIOSs\{ANY FOLDER NAME}\mload.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FAT.app
::modules\More-cIOSs\{ANY FOLDER NAME}\SDHC.app
::modules\More-cIOSs\{ANY FOLDER NAME}\EHCI.app
::modules\More-cIOSs\{ANY FOLDER NAME}\USBS.app
::modules\More-cIOSs\{ANY FOLDER NAME}\DIPP.app
::modules\More-cIOSs\{ANY FOLDER NAME}\ES.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FFSP.app
::------------------------------------------------------

set md5alt=%md5%

::change some variables
set wadname=%wadname:~0,17%%d2x-beta-rev%
if /i "%name:~0,17%" NEQ "Advanced Download" set name=%wadname%

:endofd2xbat 

